package cn.reghao.tnb.content.app.vod.db.mapper;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.tnb.content.app.vod.model.po.VideoError;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author reghao
 * @date 2023-08-25 13:03:48
 */
@Mapper
public interface VideoErrorMapper extends BaseMapper<VideoError> {
    void deleteByErrorCode(int errorCode);

    VideoError findByVideoId(String videoId);
    List<VideoError> findByErrorCode(int errorCode);
}
